WizDlg3Proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	
	_try offset ED_12
; ======================================================================================================================

	mov	eax,uMsg
	.if eax==WM_INITDIALOG
		push hWin
		pop hPsDlg[8]
		
		;Retrieve version info from project app
		invoke VersionInfoProc
		
	.elseif	eax==WM_NOTIFY
		mov edx,lParam
		mov eax,NMHDR.code[edx]
		.if eax==PSN_SETACTIVE
			push NMHDR.hwndFrom[edx]
			pop hPropSheet
			invoke PostMessage,hPropSheet,PSM_SETWIZBUTTONS,0,PSWIZB_NEXT or PSWIZB_BACK
			
		.elseif eax==PSN_WIZNEXT
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT1,addr AppName,sizeof AppName
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT2,addr AppVersion,sizeof AppVersion
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT3,addr AppAuthor,sizeof AppAuthor
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT4,addr AppWebsite,sizeof AppWebsite
			
		.elseif eax==PSN_WIZBACK
			invoke SendMessage,hPropSheet,PSM_SETCURSEL,0,hPs[4]
			
		.elseif eax==PSN_KILLACTIVE
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT1,addr buffer,sizeof buffer
			invoke lstrlen,addr buffer
			push eax
			invoke GetDlgItemText,hPsDlg[8],IDC_wiz3EDT2,addr buffer,sizeof buffer
			invoke lstrlen,addr buffer
			pop edx
			and eax,edx
			.if eax!=0
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
			.else 
				invoke MessageBox,hPsDlg[8],addr szMessage1,addr szMessageTitle,MB_OK or MB_ICONEXCLAMATION
				invoke SetWindowLong,hWin,DWL_MSGRESULT,1
			.endif
			
		.elseif eax==PSN_RESET
			mov Check,0
			
		.endif
		
	.else
		mov eax,FALSE
		jmp return
		
	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

WizDlg3Proc endp

VersionInfoProc proc
	LOCAL buffer[128]:byte
	LOCAL pProjectFile:dword
	LOCAL nChar:dword
;	LOCAL sysT:SYSTEMTIME
;	LOCAL DateStr[16]:byte
	
	_try offset ED_13
; ======================================================================================================================

	mov edx,lpDStruct 
	mov edx,[edx].ADDINDATA.lpProject
	mov pProjectFile,edx
	;Application name
	invoke GetPrivateProfileString,addr szVerInf,addr szOriginalFilename,0,addr buffer,sizeof buffer,pProjectFile
	.if eax==0
		invoke GetPrivateProfileString,addr szProject,addr szDescription,0,addr buffer,sizeof buffer,pProjectFile
	.endif
	invoke SetDlgItemText,hPsDlg[8],IDC_wiz3EDT1,addr buffer

	;File version
	invoke GetPrivateProfileString,addr szVerInf,addr szFileVersion,0,addr buffer,sizeof buffer,pProjectFile
	.if eax==0
		invoke GetPrivateProfileString,addr szVerInf,addr szFV,addr szDefaultFV,addr buffer,sizeof buffer,pProjectFile
	.endif
	invoke SetDlgItemText,hPsDlg[8],IDC_wiz3EDT2,addr buffer
	
	;Author
	invoke GetPrivateProfileString,addr szVerInf,addr szLegalCopyright,0,addr buffer,sizeof buffer,pProjectFile
	.if eax==0
		mov nChar,sizeof buffer
		invoke GetUserName,addr buffer,addr nChar
		.if eax==FALSE 
			invoke lstrcpy,addr buffer,addr szDefaultLC
		.endif
	.endif
	invoke SetDlgItemText,hPsDlg[8],IDC_wiz3EDT3,addr buffer
	
;	;Date
;	invoke GetSystemTime,addr sysT
;	invoke GetDateFormat,LOCALE_USER_DEFAULT,DATE_SHORTDATE,addr sysT,0,addr DateStr,sizeof DateStr
;	invoke SetDlgItemText,hPsDlg[8],IDC_wiz3EDT4,addr DateStr
	
; ======================================================================================================================
return:
	_finally
	ret

VersionInfoProc endp
