WizDlg4Proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[MAX_PATH]:byte
	LOCAL FD:WIN32_FIND_DATA
	LOCAL hFD:dword

	_try offset ED_14
; ======================================================================================================================

	mov	eax,uMsg
	.if eax==WM_INITDIALOG
		push hWin
		pop hPsDlg[12]
		
		;Setup icon
		invoke SetDlgItemText,hWin,IDC_wiz4EDT1,addr szIcon
		
		;Language selector
		.if !NSISPath
			invoke GetNSISPath
		.endif
		invoke lstrcpy,addr buffer,addr NSISPath
		invoke lstrcat,addr buffer,addr szNLFFile
		invoke FindFirstFile,addr buffer,addr FD
		.if eax!=INVALID_HANDLE_VALUE
			mov hFD,eax
			.while eax!=0
				invoke lstrlen,addr FD.cFileName
				mov byte ptr [FD.cFileName+eax-4],0
				invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO1,CB_ADDSTRING,0,addr FD.cFileName
				invoke FindNextFile,hFD,ADDR FD
			.endw
			invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO1,CB_SELECTSTRING,-1,addr szEnglish
		.endif
		
		;Setup file
		invoke SetDlgItemText,hPsDlg[12],IDC_wiz4EDT2,addr szSetupEXE
		
		;User interface
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO2,CB_ADDSTRING,0,addr szModern
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO2,CB_ADDSTRING,0,addr szClassic
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO2,CB_ADDSTRING,0,addr szNone
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO2,CB_SELECTSTRING,-1,addr szModern
		
		;Compress
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO3,CB_ADDSTRING,0,addr szzlib
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO3,CB_ADDSTRING,0,addr szbzip2
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO3,CB_ADDSTRING,0,addr szLZMA
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO3,CB_ADDSTRING,0,addr szNone
		invoke SendDlgItemMessage,hPsDlg[12],IDC_wiz4CBO3,CB_SELECTSTRING,-1,addr szzlib
		invoke GetDlgItem,hWin,IDC_wiz4CBO3
		invoke EnableWindow,eax,FALSE 

	.elseif	eax==WM_NOTIFY
		mov edx,lParam
		mov eax,NMHDR.code[edx]
		.if eax==PSN_SETACTIVE
			push NMHDR.hwndFrom[edx]
			pop hPropSheet
			invoke PostMessage,hPropSheet,PSM_SETWIZBUTTONS,0,PSWIZB_NEXT or PSWIZB_BACK
			
		.elseif eax==PSN_WIZNEXT
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4EDT1,addr SetupIcon,sizeof SetupIcon
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4CBO1,addr Language,sizeof Language
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4EDT2,addr SetupFile,sizeof SetupFile
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4CBO2,addr UserInterface,sizeof UserInterface
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4CBO3,addr Compress,sizeof Compress
			
		.elseif eax==PSN_QUERYCANCEL
			invoke MessageBox,hWin,addr szMessage4,addr szMessageTitle,MB_ICONWARNING or MB_YESNO
			.if eax==IDYES
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
			.else
				invoke SetWindowLong,hWin,DWL_MSGRESULT,1
			.endif
		
		.elseif eax==PSN_RESET
			mov Check,0
			
		.elseif eax==PSN_KILLACTIVE
			invoke GetDlgItemText,hPsDlg[12],IDC_wiz4EDT2,addr buffer,sizeof buffer
			invoke lstrlen,addr buffer
			.if eax!=0
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
			.else 
				invoke MessageBox,hPsDlg[12],addr szMessage2,addr szMessageTitle,MB_OK or MB_ICONEXCLAMATION
				invoke SetWindowLong,hWin,DWL_MSGRESULT,1
			.endif
			
		.endif
		
	.elseif eax==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz4BTN1 && eax==BN_CLICKED ;OpenFileDialog to retrieve iconfile
			mov edx,lpDStruct 
			mov edx,[edx].ADDINDATA.lpProject
			invoke OpenFiles,hPsDlg[12],addr buffer,edx,addr szIconFilterString,addr szIconTitle
			.if eax==TRUE
				invoke SetDlgItemText,hPsDlg[12],IDC_wiz4EDT1,addr buffer
			.endif
		
		.elseif edx==IDC_wiz4CBO2 && eax==CBN_SELCHANGE ;Event if user interface changes
        	invoke SendDlgItemMessage,hWin,IDC_wiz4CBO2,CB_GETCURSEL,0,0
        	mov ecx,eax
        	invoke SendDlgItemMessage,hWin,IDC_wiz4CBO2,CB_GETLBTEXT,ecx,addr buffer
        	invoke lstrcmp,addr buffer,addr szModern
        	.if eax!=0
				invoke GetDlgItem,hWin,IDC_wiz4CBO3
				invoke EnableWindow,eax,TRUE
			.else
				invoke GetDlgItem,hWin,IDC_wiz4CBO3
				invoke EnableWindow,eax,FALSE 
        	.endif
        	invoke lstrcmp,addr buffer,addr szNone
        	.if eax==0
				invoke GetDlgItem,hWin,IDC_wiz4CBO1
				invoke EnableWindow,eax,FALSE 
			.else
				invoke GetDlgItem,hWin,IDC_wiz4CBO1
				invoke EnableWindow,eax,TRUE 
        	.endif
		.endif
		
	.else
		mov eax,FALSE 
		jmp return
		
	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

WizDlg4Proc endp

