ExceptionHandler proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD,pText:DWORD
	LOCAL buffer[128]:byte
	
	;======================
	lea eax,pExceptionRecord
	mov eax,[eax]
	.if [eax.EXCEPTION_RECORD.ExceptionFlags]==0
		invoke wsprintf,addr buffer,addr szExceptionText1,pText,\
				[eax.EXCEPTION_RECORD.ExceptionAddress],[eax.EXCEPTION_RECORD.ExceptionCode]
	.else
		invoke wsprintf,addr buffer,addr szExceptionText2,pText,\
				[eax.EXCEPTION_RECORD.ExceptionAddress],[eax.EXCEPTION_RECORD.ExceptionCode]
	.endif
	invoke MessageBox,0,addr buffer,0,MB_ICONERROR or MB_OK
	;======================

	mov eax, pStackFrame
	push [eax+8]		; PrevEsp
	push [eax+12]		; PrevEbp
	push [eax+16]		; SafeOffset

	mov eax, pContext
	assume eax:ptr CONTEXT
	pop [eax].regEip	; SafeOffset
	pop [eax].regEbp	; PrevEbp
	pop [eax].regEsp	; PrevEsp
	assume eax:nothing
    xor eax, eax 
    ret 

ExceptionHandler endp

ED_01 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("CompileProc")
	ret
ED_01 endp

ED_02 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("DllProc")
	ret
ED_02 endp

ED_03 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("AddToMenu")
	ret
ED_03 endp

ED_04 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("OpenFiles")
	ret
ED_04 endp

ED_05 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("SaveScriptFiles")
	ret
ED_05 endp

ED_06 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("GetNSISPath")
	ret
ED_06 endp

ED_07 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("CompileDlgProc")
	ret
ED_07 endp

ED_08 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("NSISDlgProc")
	ret
ED_08 endp

ED_09 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("StaticWndProc")
	ret
ED_09 endp

ED_10 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg1Proc")
	ret
ED_10 endp

ED_11 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg2Proc")
	ret
ED_11 endp

ED_12 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg3Proc")
	ret
ED_12 endp

ED_13 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("VersionInfoProc")
	ret
ED_13 endp

ED_14 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg4Proc")
	ret
ED_14 endp

ED_15 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg5Proc")
	ret
ED_15 endp

ED_16 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg6Proc")
	ret
ED_16 endp

ED_17 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("LV6Proc")
	ret
ED_17 endp

ED_18 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("Edt6Proc")
	ret
ED_18 endp

ED_19 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("Insert6Column")
	ret
ED_19 endp

ED_20 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg7Proc")
	ret
ED_20 endp

ED_21 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("LV7Proc")
	ret
ED_21 endp

ED_22 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("Edt7Proc")
	ret
ED_22 endp

ED_23 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("Insert7Column")
	ret
ED_23 endp

ED_24 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WizDlg8Proc")
	ret
ED_24 endp

ED_25 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("ShowWizard")
	ret
ED_25 endp

ED_26 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("putTextMatrix")
	ret
ED_26 endp

ED_27 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("getTextMatrix")
	ret
ED_27 endp

ED_28 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("AddListViewItem")
	ret
ED_28 endp

ED_29 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("MoveCB")
	ret
ED_29 endp

ED_30 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WriteToFile")
	ret
ED_30 endp

ED_31 proc pExceptionRecord:DWORD,pStackFrame:DWORD,pContext:DWORD
	invoke ExceptionHandler,pExceptionRecord,pStackFrame,pContext,CTEXT("WriteString")
	ret
ED_31 endp

