CompileProc proc
	LOCAL hRead:DWORD
	LOCAL hWrite:DWORD
	LOCAL startupinfo:STARTUPINFO
	LOCAL pinfo:PROCESS_INFORMATION
	LOCAL buffer[1024]:byte
	LOCAL bytesRead:DWORD
	LOCAL sat:SECURITY_ATTRIBUTES
	LOCAL number:dword
	LOCAL hMem:DWORD
	
	_try offset ED_01
; ======================================================================================================================

	invoke GlobalAlloc,GMEM_FIXED,32768
	mov hMem,eax
	mov number,0

	mov sat.nLength,sizeof SECURITY_ATTRIBUTES
	mov sat.lpSecurityDescriptor,NULL
	mov sat.bInheritHandle,TRUE
	;Create a pipe from makensis.exe to output window
	invoke CreatePipe,addr hRead,addr hWrite,addr sat,NULL
	.if eax!=NULL
		mov startupinfo.cb,sizeof STARTUPINFO
		invoke GetStartupInfo,addr startupinfo
		mov eax,hWrite
		mov startupinfo.hStdOutput,eax
		mov startupinfo.hStdError,eax
		mov startupinfo.dwFlags,STARTF_USESHOWWINDOW+STARTF_USESTDHANDLES
		mov startupinfo.wShowWindow,SW_HIDE
		
		;List all script files registred to the project
		mov edx,lpDStruct 
		mov edx,[edx].ADDINDATA.lpProject
		invoke GetPrivateProfileSection,addr szFiles,hMem,32767,edx
		xor ecx,ecx
		xor eax,eax
		mov esi,hMem
		dec eax
	@@:
lbl_back:
		cmp byte ptr [esi+1],0
		jne lbl_EndSearch
		.if number!=0
			jmp lbl_Compile
		.else
			invoke MessageBox,0,addr szNoScriptFile,addr szMDIChildTitle,MB_OK or MB_ICONEXCLAMATION
			jmp return
		.endif
lbl_EndSearch:		
		inc esi
		mov edi,esi
		invoke lstrlen,esi
		add esi,eax
		cmp dword ptr [esi-3],"cr."
		je @B
		cmp dword ptr [esi-4],"isn."
		jne @B
	@@:	
		xor eax,eax
		mov al,"="
	@@:	
		scasb
		jne @B
		inc number
		mov eax,number
		dec eax
		mov dword ptr [nsisFiles+eax*4],edi
		jmp lbl_back
lbl_Compile:
		;If more than one scriptfile, choose from dialog
		.if number>1
			mov edx,lpHStruct 
			mov edx,[edx].ADDINHANDLES.hEdit
			invoke DialogBoxParam,hInstance,IDD_DLG2,edx,addr CompileDlgProc,number
			.if eax==IDCANCEL
				invoke CloseHandle,hWrite
				invoke CloseHandle,hRead
				jmp return
			.endif
		.else
			invoke lstrcat,addr Commandline,[nsisFiles]
		.endif
		push 1
		mov eax,lpPStruct
		call [eax.ADDINPROCS].lpOutputSelect
		mov eax,lpPStruct
		call [eax.ADDINPROCS].lpClearOut
		;Run: makensis.exe scriptfile.nsi
		invoke CreateProcess,NULL,addr Commandline,NULL,NULL,TRUE,NULL,NULL,NULL, \
			addr startupinfo,addr pinfo
		.if eax!=NULL
			invoke CloseHandle,hWrite
			.while TRUE
				invoke RtlZeroMemory,addr buffer,1024
				invoke ReadFile,hRead,addr buffer,1023,addr bytesRead,NULL
				.if eax==NULL
					.break
				.else
					lea eax,buffer
					push eax
					mov eax,lpPStruct
					call [eax.ADDINPROCS].lpTextOut
					
					mov eax,lpDStruct 
					mov [eax.ADDINDATA].AsmFlag,TRUE 
					
				.endif
			.endw
		.endif
		invoke CloseHandle,hRead
		invoke CloseHandle,pinfo.hProcess
		invoke CloseHandle,pinfo.hThread
	.endif

; ======================================================================================================================
return:
	invoke GlobalFree,hMem
	_finally
	ret
	
CompileProc endp

