NSISDlgProc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	LOCAL buffer2[256]:byte
	LOCAL hFile:dword
	LOCAL memsize:dword
	LOCAL hMem:dword
	LOCAL pMem:dword
	LOCAL lpNumberOfBytesRead:dword
	
	_try offset ED_08
; ======================================================================================================================

	mov eax,uMsg
	.if eax==WM_INITDIALOG
		invoke lstrlen,addr NSISPath
		.if eax==0
			invoke GetDlgItem,hWin,IDC_BTN4
			invoke EnableWindow,eax,FALSE
			invoke GetDlgItem,hWin,IDC_BTN5
			invoke EnableWindow,eax,FALSE
			invoke GetDlgItem,hWin,IDC_BTN6
			invoke EnableWindow,eax,FALSE
			invoke SendDlgItemMessage,hWin,IDC_EDT1,WM_SETTEXT,0,addr szDownLoad
		.endif
		invoke GetDlgItem,hWin,IDC_STC3
		mov hStatic,eax
		invoke SetWindowLong,hStatic,GWL_WNDPROC,addr StaticWndProc
		mov OldWndProc,eax
		
	.elseif eax==WM_COMMAND
		mov edx,wParam
		movzx eax,dx
		shr edx,16
		.if edx==BN_CLICKED
			push eax
			invoke lstrcpy,addr buffer,addr NSISPath
			pop eax
			.if eax==IDC_BTN4 ;Open NSIS
				invoke lstrcpy,addr buffer2,addr buffer
				invoke lstrcat,addr buffer2,addr szNSISEXE
				invoke ShellExecute,0,addr szOpen,addr buffer2,0,addr buffer,SW_SHOWNORMAL

			.elseif eax==IDC_BTN5 ;NSIS licens text
				invoke lstrcpy,addr buffer2,addr buffer
				invoke lstrcat,addr buffer2,addr szLicens
				
				invoke CreateFile,addr buffer2,GENERIC_READ,\
							FILE_SHARE_READ,0,OPEN_EXISTING,0,0
				mov hFile,eax
			    invoke GetFileSize,hFile,0
			    mov memsize,eax
				invoke GlobalAlloc,GMEM_MOVEABLE or GMEM_ZEROINIT,memsize
				mov hMem,eax
				invoke GlobalLock,hMem
				mov pMem,eax
			    invoke ReadFile,hFile,pMem,memsize,addr lpNumberOfBytesRead,0
				invoke SendDlgItemMessage,hWin,IDC_EDT1,WM_SETTEXT,0,pMem
				invoke CloseHandle,hFile ;Close file
			    invoke GlobalUnlock,pMem ;Close allocated memory
			    invoke GlobalFree,hMem
				
			.elseif eax==IDC_BTN6 ;NSIS help
				invoke lstrcat,addr buffer,addr szNSISHelp
				invoke HtmlHelp,hWin,addr buffer,0,0
				
			.elseif eax==IDC_BTN7 ;Close
				invoke SendMessage,hWin,WM_CLOSE,NULL,NULL
			.endif
		.endif
	.elseif eax==WM_CLOSE
		invoke EndDialog,hWin,NULL
	.else
		mov eax,FALSE
		jmp return

	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

NSISDlgProc endp

StaticWndProc PROC hWin:DWORD,uMsg:DWORD,wParam:DWORD,lParam:DWORD
	LOCAL buffer[256]:byte
	
	_try offset ED_09
; ======================================================================================================================

	.if uMsg==WM_MOUSEMOVE
		invoke LoadCursor,0,IDC_HAND
		invoke SetCursor,eax
	
	.elseif uMsg==WM_LBUTTONUP
		invoke SendMessage,hWin,WM_GETTEXT,sizeof buffer,addr buffer
		;Link to NSIS download page
		invoke ShellExecute,0,0,addr buffer,0,0,SW_SHOWNORMAL
		
	.endif
	invoke CallWindowProc,OldWndProc,hWin,uMsg,wParam,lParam
	
; ======================================================================================================================
return:
	_finally
	ret

StaticWndProc endp

