.586
.model flat,stdcall
option casemap:none

include windows.inc
include kernel32.inc
include user32.inc
include Gdi32.inc
include comctl32.inc
include comdlg32.inc
include advapi32.inc
include shell32.inc
include version.inc

includelib kernel32.lib
includelib user32.lib
includelib gdi32.lib
includelib comctl32.lib
includelib comdlg32.lib
includelib advapi32.lib
includelib shell32.lib
includelib "\Program Files\HTML Help Workshop\lib\htmlhelp.lib"
includelib version.lib
include \RadASM\Masm\Inc\radasm.inc

ADDINOPT struct
	lpStr			dd ?
	nAnd			dd ?
	nOr				dd ?
ADDINOPT ends

LANGANDCODEPAGE STRUCT 
	wLanguage	word ? 
	wCodepage	word ? 
LANGANDCODEPAGE ends 

CTEXT macro text:vararg 
    LOCAL TxtName 
    .data 
     TxtName byte text,0 
    .code 
  exitm <addr TxtName> 
endm

_try macro address
	;tousch the stack
	mov eax,ebp 
	.while eax>esp 
		sub eax,4 
		mov dword ptr [eax],0 
	.endw 
	;-try
	push return 		;address of safe place after guarded code
	push ebp 			;stack frame
	push esp
	assume fs:nothing
	push address 		;address of frame-based exception director
	push fs:[0]			;address of next error structure
	mov fs:[0], esp 	;save the error address
	
	;preserve registers
	push edx
	push edi
	push esi
endm

_finally macro
	;restore registers
	pop esi
	pop edi
	pop edx
	;_finally
	assume fs:nothing
	pop fs:[0] 	;restore next error structure
	add esp, 4 	;adjust stack
endm

; ======================================================================================================================
AddListViewItem			PROTO	:HWND,:DWORD
AddToMenu				PROTO
CheckChanges			PROTO
ComboProc				PROTO	:DWORD,:DWORD,:DWORD,:DWORD
CBProc					PROTO	:HWND,:UINT,:WPARAM,:LPARAM
CompileDlgProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM
CompileProc				PROTO
DllEntry				PROTO	:HINSTANCE,:DWORD,:DWORD
DllProc					PROTO	:HWND,:UINT,:WPARAM,:LPARAM
Edt6Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
Edt7Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
FindNSIS				PROTO
GetNSISPath				PROTO
GetOptions				PROTO
getTextMatrix			PROTO	:HWND,:DWORD
Insert7Column			PROTO	:HWND,:DWORD
Insert6Column			PROTO	:HWND
HtmlHelpA 				PROTO	:DWORD,:DWORD,:DWORD,:DWORD 
HtmlHelp equ <HtmlHelpA> 
InstallDll				PROTO	:DWORD,:DWORD
LV6Proc					PROTO	:HWND,:UINT,:WPARAM,:LPARAM
LV7Proc					PROTO	:HWND,:UINT,:WPARAM,:LPARAM
MoveCB					PROTO	:HWND,:HWND,:HWND
NewScriptProc			PROTO	:HWND,:UINT,:WPARAM,:LPARAM
NSISDlgProc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
OpenFiles				PROTO	:DWORD,:DWORD,:DWORD,:DWORD,:DWORD
putTextMatrix			PROTO	:HWND,:DWORD
SaveScriptFiles			PROTO
ShowWizard				PROTO
StaticWndProc			PROTO	:DWORD,:DWORD,:DWORD,:DWORD
VersionInfoProc			PROTO
WizDlg1Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg2Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg3Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg4Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg5Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg6Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WizDlg7Proc				PROTO	:HWND,:UINT,:WPARAM,:LPARAM
WriteString				PROTO	:DWORD
WriteToFile				PROTO

; ======================================================================================================================
.const
include Const.inc

; ======================================================================================================================
.data
include InitData.inc

; ======================================================================================================================
.data?
include UninitData.inc

