WizDlg5Proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	
	_try offset ED_15
; ======================================================================================================================

	mov	eax,uMsg
	.if eax==WM_INITDIALOG
		push hWin
		pop hPsDlg[16]
		
		;Group radio buttons
		invoke CheckRadioButton,hPsDlg[16],IDC_wiz5RBN1,IDC_wiz5RBN3,0

		;Create font, combobox and an editcontrol as child to combobox.
		invoke CreateFontIndirect,OFFSET MS_Sans_Serif_8
		mov hFont,eax
		invoke CreateWindowEx,NULL,addr szComboClass,NULL,\
				WS_VISIBLE or WS_CHILD or WS_VSCROLL or CBS_DROPDOWNLIST,\
				129,54,256,115,hPsDlg[16],IDC_wiz5CBO1,hInstance,NULL
		mov hCbo1,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
        invoke CreateWindowEx,NULL,addr szEditClass,NULL, \
        		WS_CHILD or WS_VISIBLE or ES_AUTOHSCROLL,\
        		2,3,235,16,hCbo1,IDC_wiz5EDT2,hInstance, NULL
        mov hEdt1,eax
		invoke SendMessage,hEdt1,WM_SETFONT,hFont,TRUE
		
		;Application directory
		invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_ADDSTRING,0,addr szPROGRAMFILES
		invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_ADDSTRING,0,addr szCOMMONFILES
		invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_ADDSTRING,0,addr szWINDIR
		invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_ADDSTRING,0,addr szSYSDIR
		invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_SELECTSTRING,-1,addr szPROGRAMFILES


	.elseif	eax==WM_NOTIFY
		mov		edx,lParam
		mov		eax,NMHDR.code[edx]
		.if eax==PSN_SETACTIVE
			push NMHDR.hwndFrom[edx]
			pop hPropSheet
			invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_GETCURSEL,0,0
			mov edx,eax
			invoke SendDlgItemMessage,hPsDlg[16],IDC_wiz5CBO1,CB_GETLBTEXT,edx,addr buffer
			invoke lstrcat,addr buffer,addr AppName
			invoke SendDlgItemMessage,hCbo1,IDC_wiz5EDT2,WM_SETTEXT,0,addr buffer
			invoke PostMessage,hPropSheet,PSM_SETWIZBUTTONS,0,PSWIZB_NEXT or PSWIZB_BACK
			
        	invoke lstrcmp,addr UserInterface,addr szNone
        	.if eax==0
				invoke GetDlgItem,hWin,IDC_wiz5EDT1
				invoke EnableWindow,eax,FALSE 
				invoke GetDlgItem,hWin,IDC_wiz5BTN1
				invoke EnableWindow,eax,FALSE 
			.else
				invoke GetDlgItem,hWin,IDC_wiz5EDT1
				invoke EnableWindow,eax,TRUE 
				invoke GetDlgItem,hWin,IDC_wiz5BTN1
				invoke EnableWindow,eax,TRUE 
        	.endif
			
		.elseif eax==PSN_WIZNEXT
			invoke GetDlgItemText,hCbo1,IDC_wiz5EDT2,addr AppDir,sizeof AppDir
			invoke GetDlgItemText,hPsDlg[16],IDC_wiz5EDT1,addr AppLic,sizeof AppLic
			;AccBtn: 0 = unchecked, 1 = checked, 2 = grayed
			invoke IsDlgButtonChecked,hPsDlg[16],IDC_wiz5RBN1
			mov AccBtn1,eax
			invoke IsDlgButtonChecked,hPsDlg[16],IDC_wiz5RBN2
			mov AccBtn2,eax
			invoke IsDlgButtonChecked,hPsDlg[16],IDC_wiz5RBN3
			mov AccBtn3,eax
			
		.elseif eax==PSN_QUERYCANCEL
			invoke MessageBox,hWin,addr szMessage4,addr szMessageTitle,MB_ICONWARNING or MB_YESNO
			.if eax==IDYES
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
			.else
				invoke SetWindowLong,hWin,DWL_MSGRESULT,1
			.endif
		
		.elseif eax==PSN_RESET
			mov Check,0
			
		.elseif eax==PSN_KILLACTIVE
			invoke GetDlgItemText,hCbo1,IDC_wiz5EDT2,addr buffer,sizeof buffer
			invoke lstrlen,addr buffer
			.if eax!=0
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
			.else 
				invoke MessageBox,hPsDlg[16],addr szMessage3,addr szMessageTitle,MB_OK or MB_ICONEXCLAMATION
				invoke SetWindowLong,hWin,DWL_MSGRESULT,1
			.endif
			
		.endif
	.elseif eax==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz5BTN1 && eax==BN_CLICKED ;Retrieve licence text file
			mov edx,lpDStruct 
			mov edx,[edx].ADDINDATA.lpProject
			invoke OpenFiles,hPsDlg[16],addr buffer,edx,addr szLicFilterString,addr szLicTitle
			.if eax==TRUE
				invoke SetDlgItemText,hPsDlg[16],IDC_wiz5EDT1,addr buffer
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5STC4
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN1
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN2
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN3
				invoke EnableWindow,eax,TRUE
			.endif
			
		.elseif edx==IDC_wiz5EDT1 &&  eax==EN_CHANGE ;Event if licence text edit changes
			invoke GetDlgItemText,hPsDlg[16],IDC_wiz5EDT1,addr buffer,sizeof buffer
			.if eax!=0
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5STC4
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN1
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN2
				invoke EnableWindow,eax,TRUE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN3
				invoke EnableWindow,eax,TRUE
				invoke CheckRadioButton,hPsDlg[16],IDC_wiz5RBN1,IDC_wiz5RBN3,IDC_wiz5RBN1
			.else
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5STC4
				invoke EnableWindow,eax,FALSE 
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN1
				invoke EnableWindow,eax,FALSE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN2
				invoke EnableWindow,eax,FALSE
				invoke GetDlgItem,hPsDlg[16],IDC_wiz5RBN3
				invoke EnableWindow,eax,FALSE
				invoke CheckRadioButton,hPsDlg[16],IDC_wiz5RBN1,IDC_wiz5RBN3,0
			.endif
			
		.elseif edx==IDC_wiz5CBO1 && (eax==CBN_EDITCHANGE || eax==CBN_SELCHANGE) ;Application directory
        	invoke SendMessage,lParam,CB_GETCURSEL,0,0
        	mov edx,eax
        	invoke SendMessage,lParam,CB_GETLBTEXT,edx,addr buffer
			invoke lstrcat,addr buffer,addr AppName
			invoke SendDlgItemMessage,hCbo1,IDC_wiz5EDT2,WM_SETTEXT,0,addr buffer
			
		.endif
		
	.else
		mov eax,FALSE
		jmp return
		
	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

WizDlg5Proc endp


