WizDlg6Proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	LOCAL ti:TOOLINFO
	LOCAL number:dword
	
	_try offset ED_16
; ======================================================================================================================

	mov	eax,uMsg
	.if eax==WM_INITDIALOG
		push hWin
		pop hPsDlg[20]
		
		; List view
		invoke CreateWindowEx,NULL,addr szListviewCLass,NULL,\
				WS_CHILD or WS_VISIBLE or WS_VSCROLL or WS_HSCROLL or LVS_REPORT or WS_TABSTOP,\
				129,54,256,170,hPsDlg[20],IDC_wiz6LSV1,hInstance,NULL
		mov hLsv6,eax
		invoke SendMessage,hLsv6,LVM_SETBKCOLOR,0,00B7FFFFh
		invoke SendMessage,hLsv6,LVM_SETTEXTBKCOLOR,0,00B7FFFFh
		invoke SendMessage,hLsv6,WM_SETFONT,hFont,TRUE
		invoke SendMessage,hLsv6,LVM_SETEXTENDEDLISTVIEWSTYLE,\
				LVS_EX_GRIDLINES or LVS_EX_FULLROWSELECT,\
				LVS_EX_GRIDLINES or LVS_EX_FULLROWSELECT
		invoke Insert6Column,hLsv6
		
		;Subclass Listview
		invoke SetWindowLong,hLsv6,GWL_WNDPROC,addr LV6Proc
		mov OldLV6Proc,eax
		
		;Combobox
		invoke CreateWindowEx,NULL,addr szComboClass,NULL,\
				WS_CHILD or WS_VSCROLL or CBS_DROPDOWNLIST,\
				0,0,0,115,hLsv6,IDC_wiz6CBO1,hInstance,NULL
		mov hCbo6,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
		
		;Edit control
        invoke CreateWindowEx,NULL,addr szEditClass,NULL, \
        		WS_CHILD or WS_VISIBLE or ES_AUTOHSCROLL,\
        		2,3,0,16,hCbo6,IDC_wiz6EDT1,hInstance, NULL
        mov hEdt6,eax
		invoke SendMessage,hEdt6,WM_SETFONT,hFont,TRUE
		
		;Subclass Editcontrol
		invoke SetWindowLong,hEdt6,GWL_WNDPROC,addr Edt6Proc
		mov OldEdt6Proc,eax
		
		;Tooltip
		invoke CreateWindowEx,NULL,ADDR szToolTipsClassName,NULL,\
	           TTS_ALWAYSTIP,CW_USEDEFAULT,\
	           CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,NULL,NULL,\
	           hInstance,NULL
		mov hTooltip,eax
		mov ti.cbSize,sizeof TOOLINFO
		mov ti.uFlags,TTF_SUBCLASS
		push hPsDlg[20]
		pop ti.hWnd
		push hEdt6
		pop ti.uId
		or ti.uFlags,TTF_IDISHWND
		lea eax,szTooltip
		mov ti.lpszText,eax
		invoke SendMessage,hTooltip,TTM_ADDTOOL,NULL,addr ti

    .elseif uMsg == WM_NOTIFY
        mov edx,lParam
		assume edx:ptr NMHDR
		mov eax,[edx].hwndFrom
		.if eax==hLsv6
			.if [edx].code==NM_CLICK
				.if [edx.NM_LISTVIEW].iItem!=-1 ;Click on listview item => Edit item
					push [edx.NM_LISTVIEW].iItem
					pop Row
					push [edx.NM_LISTVIEW].iSubItem
					pop Col
					.if Col==0 ;Open the OpenFileName dialog
						mov eax,lpDStruct 
						mov edi,[eax.ADDINDATA].lpProjectPath
						invoke OpenFiles,hPsDlg[20],addr buffer,edi,addr szChangeFilterString,addr szChangeTitle
						.if eax==TRUE 
							invoke putTextMatrix,hLsv6,addr buffer
						.endif
						
					.elseif Col==1 ;Open a combobox with a child editcontrol
						call lbl_SetZero
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szINSTDIR
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szPROGRAMFILES
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szCOMMONFILES
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szWINDIR
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szSYSDIR
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szHWNDPARENT
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szTEMP
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szDESKTOP
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szEXEDIR
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szDOCUMENTS
						invoke getTextMatrix,hLsv6,addr buffer
						.if eax==0
							invoke lstrcpy,addr buffer,addr szINSTDIR
						.endif
						invoke SendMessage,hCbo6,CB_SELECTSTRING,-1,addr buffer
						invoke SendMessage,hCbo6,CB_GETCURSEL,0,0
						mov edx,eax
						invoke SendMessage,hCbo6,CB_GETLBTEXT,edx,addr buffer
						invoke SendMessage,hEdt6,WM_SETTEXT,0,addr buffer
						invoke MoveCB,hLsv6,hCbo6,hEdt6
						
					.elseif Col==2 ;Open a combobox with a child editcontrol
						call lbl_SetZero
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szAlways
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szNever
						invoke SendMessage,hCbo6,CB_ADDSTRING,0,addr szNewer
						invoke getTextMatrix,hLsv6,addr buffer
						.if eax==0
							invoke lstrcpy,addr buffer,addr szNewer
						.endif
						invoke SendMessage,hCbo6,CB_SELECTSTRING,-1,addr buffer
						invoke SendMessage,hCbo6,CB_GETCURSEL,0,0
						mov edx,eax
						invoke SendMessage,hCbo6,CB_GETLBTEXT,edx,addr buffer
						invoke SendMessage,hEdt6,WM_SETTEXT,0,addr buffer
						invoke MoveCB,hLsv6,hCbo6,hEdt6
						
					.endif
				.else ;Click on listview "no item" => Add new item to first colomn
					mov eax,lpDStruct 
					mov edi,[eax.ADDINDATA].lpProjectPath
					invoke OpenFiles,hPsDlg[20],addr buffer,edi,addr szAddFilterString,addr szAddTitle
					.if eax==TRUE 
						invoke AddListViewItem,hLsv6,addr buffer
					.endif
					
				.endif
				
			.elseif [edx].code==NM_RCLICK
				.if [edx.NM_LISTVIEW].iItem!=-1 ;Right click on listview item => Delete item
					invoke SendMessage,hLsv6,LVM_DELETEITEM,[edx.NM_LISTVIEW].iItem,0
				.endif
			.endif
		.else
			.if [edx].code==PSN_SETACTIVE
				push NMHDR.hwndFrom[edx]
				pop hPropSheet
				invoke PostMessage,hPropSheet,PSM_SETWIZBUTTONS,0,PSWIZB_NEXT or PSWIZB_BACK
				
			.elseif [edx].code==PSN_WIZNEXT
				invoke RtlZeroMemory,addr AppFiles,sizeof AppFiles
				invoke RtlZeroMemory,addr pInstFiles,sizeof pInstFiles
				invoke RtlZeroMemory,addr InstFiles,sizeof InstFiles
			    invoke IsWindowVisible,hCbo6
			    .if eax==TRUE 
			    	invoke GetWindowText,hEdt6,addr buffer,sizeof buffer
			    	invoke putTextMatrix,hLsv6,addr buffer
			    	invoke ShowWindow,hCbo6,SW_HIDE
			    .endif
				invoke SendMessage,hLsv6,LVM_GETITEMCOUNT,0,0
				
				;Retrieve data from listview to AppFiles buffer
				;Appfiles struct: x,0,"Source file1",0,"Installation directory",0","Overwrite",0,"Source file2",...,0,0
				mov byte ptr [AppFiles],al
				mov byte ptr [AppFiles+1],0
				mov edx,2
				mov number,eax
				dec number
				xor ecx,ecx
				.while ecx<=number
					mov Row,ecx
					mov Col,0
					invoke getTextMatrix,hLsv6,addr [AppFiles+edx] ;Source file full path
					inc edx
					add edx,eax
					mov Col,1
					invoke getTextMatrix,hLsv6,addr [AppFiles+edx] ;Installation directory
					inc edx
					add edx,eax
					mov Col,2
					invoke getTextMatrix,hLsv6,addr [AppFiles+edx] ;Overwrite
					inc edx
					add edx,eax
					mov ecx,Row
					inc ecx
				.endw
				inc edx
				mov byte ptr [AppFiles+edx],0
				
				;Store installed files to delete on uninstall action
				;i.e. InstFiles = Appfiles[Installation directory]\Appfiles[Sourcefile name]
				mov esi,2
				xor edi,edi
				xor ecx,ecx
				.while ecx<=number
					push ecx
					
					;store pointer
					lea eax,dword ptr [InstFiles+edi]
					mov dword ptr [pInstFiles+ecx*4],eax
					
					;copy installed filenam at pointer pos
					invoke lstrcpy,addr buffer,addr [AppFiles+esi]
					invoke lstrlen,addr [AppFiles+esi]
					inc esi
					add esi,eax
					push esi
					;add destination directory to InstFiles
					invoke lstrcpy,addr [InstFiles+edi],addr [AppFiles+esi]
					push edi
					
					;extract filename from source path name
					lea edi,buffer
					invoke lstrlen,addr buffer
					add edi,eax
				@@:	
					dec edi
					cmp byte ptr [edi],"\"
					jne @B
					;add filename without \ to install directory
					inc edi
					mov edx,edi
					pop edi
					push edi
					invoke lstrcat,addr [InstFiles+edi],edx
					
					;zero the string
					pop edi
					invoke lstrlen,addr [InstFiles+edi]
					add edi,eax
					inc edi
					mov byte ptr [InstFiles+edi],0 ;to be sure
					
					;jump over overwrite
					pop esi
					invoke lstrlen,addr [AppFiles+esi]
					inc esi
					add esi,eax ;points to overwrite
					invoke lstrlen,addr [AppFiles+esi]
					inc esi
					add esi,eax ;points to next line
					
					pop ecx
					inc ecx
				.endw
				
			.elseif [edx].code==PSN_QUERYCANCEL
				invoke MessageBox,hWin,addr szMessage4,addr szMessageTitle,MB_ICONWARNING or MB_YESNO
				.if eax==IDYES
					invoke SetWindowLong,hWin,DWL_MSGRESULT,0
				.else
					invoke SetWindowLong,hWin,DWL_MSGRESULT,1
				.endif
			
			.elseif [edx].code==PSN_RESET
				mov Check,0
				
			.elseif [edx].code==PSN_KILLACTIVE
			    invoke IsWindowVisible,hCbo6
			    .if eax==TRUE 
			    	invoke GetWindowText,hEdt6,addr buffer,sizeof buffer
			    	invoke putTextMatrix,hLsv6,addr buffer
			    	invoke ShowWindow,hCbo6,SW_HIDE
			    .endif
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
				
			.endif
		.endif
		assume edx:nothing
		
	.elseif eax==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz6BTN1 && eax==BN_CLICKED
			invoke MessageBox,hPsDlg[20],addr szHelpText,addr szHelp,MB_ICONINFORMATION or MB_OK
		.endif
		
	.else
		mov eax,FALSE
		jmp return
		
	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

lbl_SetZero:
	invoke SendMessage,hCbo6,CB_GETCOUNT,0,0
	.if eax!=0
		mov ecx,eax
		dec ecx
		.while ecx!=-1
			invoke SendMessage,hCbo6,CB_DELETESTRING,ecx,0
			mov ecx,eax
			dec ecx
		.endw
	.endif
	retn

WizDlg6Proc endp

LV6Proc proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	
	_try offset ED_17
; ======================================================================================================================

	;Listview subprocess
	invoke IsWindowVisible,hCbo6
	.if eax==TRUE && (uMsg==WM_HSCROLL || uMsg==WM_VSCROLL)
    	invoke MoveCB,hWin,hCbo6,hEdt6
    	xor eax,eax
	.elseif (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F1 ;Copy from editbox to listview
    	invoke GetWindowText,hEdt6,addr buffer,sizeof buffer
    	invoke putTextMatrix,hWin,addr buffer
    	invoke ShowWindow,hCbo6,SW_HIDE
    	xor eax,eax
    	jmp return
    .elseif (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F2 ;Cancel
    	invoke ShowWindow,hCbo6,SW_HIDE
    	xor eax,eax
    	ret
	.elseif uMsg==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz6CBO1 && (eax==CBN_EDITCHANGE || eax==CBN_SELCHANGE)
        	invoke SendMessage,lParam,CB_GETCURSEL,0,0
        	mov edx,eax
        	invoke SendMessage,lParam,CB_GETLBTEXT,edx,addr buffer
			invoke SendMessage,hEdt6,WM_SETTEXT,0,addr buffer
			invoke ShowWindow,hCbo6,SW_HIDE
			invoke putTextMatrix,hWin,addr buffer
		.elseif edx==IDC_wiz7CBO1 && (eax==CBN_EDITCHANGE || eax==CBN_SELCHANGE)
        	invoke SendMessage,lParam,CB_GETCURSEL,0,0
        	mov edx,eax
        	invoke SendMessage,lParam,CB_GETLBTEXT,edx,addr buffer
			invoke lstrcat,addr buffer,addr AppName
			invoke lstrcat,addr buffer,addr szInk
			invoke SendMessage,hEdt6,WM_SETTEXT,0,addr buffer
			invoke ShowWindow,hCbo6,SW_HIDE
			invoke putTextMatrix,hWin,addr buffer
			dec Row
			inc Col
			invoke getTextMatrix,hWin,addr buffer
			inc Row
			invoke putTextMatrix,hWin,addr buffer
		.endif
	.endif
	
	invoke CallWindowProc,OldLV6Proc,hWin,uMsg,wParam,lParam

; ======================================================================================================================
return:
	_finally
	ret

LV6Proc endp

Edt6Proc proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	
	_try offset ED_18
; ======================================================================================================================

	;Edit control subprocess
	.if uMsg==WM_KEYUP && wParam==VK_F1
    	invoke GetWindowText,hWin,addr buffer,sizeof buffer
    	invoke putTextMatrix,hLsv6,addr buffer
    	invoke ShowWindow,hCbo6,SW_HIDE
    	xor eax,eax
    	jmp return
    .elseif uMsg==WM_KEYUP && wParam==VK_F2
    	invoke ShowWindow,hCbo6,SW_HIDE
    	xor eax,eax
    	jmp return
	.endif
	
	invoke CallWindowProc,OldEdt6Proc,hWin,uMsg,wParam,lParam

; ======================================================================================================================
return:
	_finally
	ret

Edt6Proc endp

Insert6Column proc hLV:HWND
	LOCAL lvc:LVCOLUMN
	LOCAL lvi:LVITEM
	LOCAL buffer[128]:byte
	LOCAL buffer2[128]:byte
	LOCAL pProjectFile:dword
	
	
	_try offset ED_19
; ======================================================================================================================

	mov lvc.imask,LVCF_TEXT+LVCF_WIDTH
	mov lvc.pszText,offset szHeading1
	mov lvc.lx,250
	invoke SendMessage,hLV,LVM_INSERTCOLUMN,0,addr lvc
	mov lvc.lx,100
	mov lvc.pszText,offset szHeading2
	invoke SendMessage,hLV,LVM_INSERTCOLUMN,1,addr lvc
	mov lvc.lx,120
	mov lvc.pszText,offset szHeading3
	invoke SendMessage,hLV,LVM_INSERTCOLUMN,2,addr lvc
@@:
	;Insert first item
	mov edx,lpDStruct 
	mov edx,[edx].ADDINDATA.lpProject
	mov pProjectFile,edx
	invoke GetPrivateProfileString,addr szMakeFiles,addr sz5,0,addr buffer,sizeof buffer,pProjectFile
	invoke lstrcpy,addr ExeFile,addr buffer
	mov edx,lpDStruct 
	mov edx,[edx].ADDINDATA.lpProjectPath
	invoke lstrcpy,addr buffer2,edx
	invoke lstrcat,addr buffer2,addr buffer
	jmp @F
@@:
	mov lvi.imask,LVIF_TEXT
	mov lvi.iItem,0
	mov lvi.iSubItem, 0
	lea eax,buffer2
	mov lvi.pszText,eax
	invoke SendMessage,hLV,LVM_INSERTITEM,0,addr lvi
	mov lvi.iSubItem,1
	mov lvi.pszText,offset szAdd2
	invoke SendMessage,hLV,LVM_SETITEM,0,addr lvi
	mov lvi.iSubItem,2
	mov lvi.pszText,offset szAdd3
	invoke SendMessage,hLV,LVM_SETITEM,0,addr lvi
	
; ======================================================================================================================
return:
	_finally
	ret		
Insert6Column endp

