WizDlg7Proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	LOCAL buffer2[256]:byte
	LOCAL buffer3[256]:byte
	LOCAL ti:TOOLINFO
	LOCAL number:dword
	
	_try offset ED_20
; ======================================================================================================================

	mov	eax,uMsg
	.if eax==WM_INITDIALOG
		push hWin
		pop hPsDlg[24]
		
		; List view
		invoke CreateWindowEx,NULL,addr szListviewCLass,NULL,\
				WS_CHILD or WS_VISIBLE or WS_VSCROLL or WS_HSCROLL or LVS_REPORT or WS_TABSTOP,\
				129,70,256,160,hPsDlg[24],IDC_wiz7LSV1,hInstance,NULL
		mov hLsv7,eax
		invoke SendMessage,hLsv7,LVM_SETBKCOLOR,0,00B7FFFFh
		invoke SendMessage,hLsv7,LVM_SETTEXTBKCOLOR,0,00B7FFFFh
		invoke SendMessage,hLsv7,WM_SETFONT,hFont,TRUE
		invoke SendMessage,hLsv7,LVM_SETEXTENDEDLISTVIEWSTYLE,\
				LVS_EX_GRIDLINES or LVS_EX_FULLROWSELECT,\
				LVS_EX_GRIDLINES or LVS_EX_FULLROWSELECT
		invoke Insert7Column,hLsv7,addr AppName
		
		;Subclass Listview
		invoke SetWindowLong,hLsv7,GWL_WNDPROC,addr LV7Proc
		mov OldLV7Proc,eax
		
		;Combobox
		invoke CreateWindowEx,NULL,addr szComboClass,NULL,\
				WS_CHILD or WS_VSCROLL or CBS_DROPDOWNLIST,\
				0,0,0,115,hLsv7,IDC_wiz7CBO1,hInstance,NULL
		mov hCbo7,eax
		invoke SendMessage,eax,WM_SETFONT,hFont,TRUE
		
		;Edit control
        invoke CreateWindowEx,NULL,addr szEditClass,NULL, \
        		WS_CHILD or WS_VISIBLE or ES_AUTOHSCROLL,\
        		2,3,0,16,hCbo7,IDC_wiz7EDT1,hInstance, NULL
        mov hEdt7,eax
		invoke SendMessage,hEdt7,WM_SETFONT,hFont,TRUE
		
		;Subclass Editcontrol
		invoke SetWindowLong,hEdt7,GWL_WNDPROC,addr Edt7Proc
		mov OldEdt7Proc,eax
		
		;Tooltip
		invoke CreateWindowEx,NULL,ADDR szToolTipsClassName,NULL,\
	           TTS_ALWAYSTIP,CW_USEDEFAULT,\
	           CW_USEDEFAULT,CW_USEDEFAULT,CW_USEDEFAULT,NULL,NULL,\
	           hInstance,NULL
		mov hTooltip,eax
		mov ti.cbSize,sizeof TOOLINFO
		mov ti.uFlags,TTF_SUBCLASS
		push hPsDlg[24]
		pop ti.hWnd
		push hEdt7
		pop ti.uId
		or ti.uFlags,TTF_IDISHWND
		lea eax,szTooltip
		mov ti.lpszText,eax
		invoke SendMessage,hTooltip,TTM_ADDTOOL,NULL,addr ti

    .elseif uMsg == WM_NOTIFY
        mov edx,lParam
		assume edx:ptr NMHDR
		mov eax,[edx].hwndFrom
		.if eax==hLsv7
			.if [edx].code==NM_CLICK ;Click on listview item => Add or Edit item
				push [edx.NM_LISTVIEW].iItem
				pop Row
				push [edx.NM_LISTVIEW].iSubItem
				pop Col
				.if Col==0
					call lbl_SetZero
					invoke SendMessage,hCbo7,CB_ADDSTRING,0,addr szICONS_GROUP
					invoke SendMessage,hCbo7,CB_ADDSTRING,0,addr szSTARTMENU
					invoke SendMessage,hCbo7,CB_ADDSTRING,0,addr szSMPROGRAMS
					invoke SendMessage,hCbo7,CB_ADDSTRING,0,addr szQUICKLAUNCH
					invoke getTextMatrix,hLsv7,addr buffer
					.if eax==0
						invoke lstrcpy,addr buffer,addr szSTARTMENU
						invoke lstrcat,addr buffer,addr AppName
						invoke lstrcat,addr buffer,addr szInk
					.endif
					invoke SendMessage,hCbo7,CB_SELECTSTRING,-1,addr buffer
					invoke SendMessage,hCbo7,CB_GETCURSEL,0,0
					mov edx,eax
					invoke SendMessage,hCbo7,CB_GETLBTEXT,edx,addr buffer
					invoke SendMessage,hEdt7,WM_SETTEXT,0,addr buffer
					.if Row==-1
						invoke AddListViewItem,hLsv7,addr buffer
						invoke SendMessage,hLsv7,LVM_GETITEMCOUNT,0,0
						dec eax
						mov Row,eax
					.endif
					invoke MoveCB,hLsv7,hCbo7,hEdt7
					
				.elseif Col==1
					call lbl_SetZero
					invoke getTextMatrix,hLsv7,addr buffer
					invoke SendMessage,hCbo7,CB_SELECTSTRING,-1,addr buffer
					invoke SendMessage,hCbo7,CB_GETCURSEL,0,0
					mov edx,eax
					invoke SendMessage,hCbo7,CB_GETLBTEXT,edx,addr buffer
					invoke SendMessage,hEdt7,WM_SETTEXT,0,addr buffer
					invoke MoveCB,hLsv7,hCbo7,hEdt7
					
				.endif
			.elseif [edx].code==NM_RCLICK ;Delete item
				.if [edx.NM_LISTVIEW].iItem!=-1
					invoke SendMessage,hLsv7,LVM_DELETEITEM,[edx.NM_LISTVIEW].iItem,0
				.endif
			.endif
		.else
			.if [edx].code==PSN_SETACTIVE
				push NMHDR.hwndFrom[edx]
				pop hPropSheet
				invoke	SetDlgItemText,hWin,IDC_wiz7EDT2,addr AppName
				
				
				invoke PostMessage,hPropSheet,PSM_SETWIZBUTTONS,0,PSWIZB_NEXT or PSWIZB_BACK
				
			.elseif [edx].code==PSN_WIZNEXT
			    invoke RtlZeroMemory,addr pShortcuts,sizeof pShortcuts
			    invoke RtlZeroMemory,addr Shortcuts,sizeof Shortcuts
			    invoke RtlZeroMemory,addr pDelShortcuts,sizeof pDelShortcuts
			    invoke RtlZeroMemory,addr DelShortcuts,sizeof DelShortcuts
			    invoke RtlZeroMemory,addr pRMCRDirs,sizeof pRMCRDirs
			    invoke RtlZeroMemory,addr RMCRDirs,sizeof RMCRDirs
			    invoke IsWindowVisible,hCbo7
			    .if eax==TRUE 
			    	invoke GetWindowText,hEdt7,addr buffer,sizeof buffer
			    	invoke putTextMatrix,hLsv7,addr buffer
			    	invoke ShowWindow,hCbo7,SW_HIDE
			    .endif
				invoke RtlZeroMemory,addr Shortcuts,sizeof Shortcuts
				
				;Retrieve data from listview to Shorcuts and DelShortcuts buffers
				;Shortcuts struct: x,0,"name",20h,"dest file",0,"name",0,.......,0,0
				;pShortcuts; pointer to ^,                       ^,.....,0,0
				;DelShortcuts struct: x,0,"name",0,"name",0,..........,0,0
				;pDelShortcuts; pointer to ^,       ^,.....,0,0
				invoke SendMessage,hLsv7,LVM_GETITEMCOUNT,0,0
				mov byte ptr [Shortcuts],al
				mov byte ptr [Shortcuts+1],0
				mov esi,2
				mov number,eax
				xor edi,edi
				xor ecx,ecx
				.while ecx<number
					mov Row,ecx
					mov Col,0
					
					;First column: Shorcut name
					lea eax,Shortcuts
					add eax,esi
					mov dword ptr [pShortcuts+ecx*4],eax
					push ecx
					invoke getTextMatrix,hLsv7,addr [Shortcuts+esi]
					add esi,eax
					pop ecx
					lea eax,DelShortcuts
					add eax,edi
					mov dword ptr [pDelShortcuts+ecx*4],eax
					invoke getTextMatrix,hLsv7,addr [DelShortcuts+edi]
					add edi,eax
					;Shortcuts on one line
					mov byte ptr [Shortcuts+esi],'"'
					inc esi
					mov byte ptr [Shortcuts+esi],20h
					inc esi
					mov byte ptr [Shortcuts+esi],'"'
					inc esi
					;DelShortcuts delimiter
					mov byte ptr [DelShortcuts+edi],0
					inc edi
					
					;Second column: Destination file
					mov Col,1
					invoke getTextMatrix,hLsv7,addr [Shortcuts+esi]
					add esi,eax
					mov byte ptr [Shortcuts+esi],0
					inc esi
					
					mov ecx,Row
					inc ecx
				.endw
				;Add last zeros
				inc esi
				mov byte ptr [Shortcuts+esi],0
				inc edi
				mov byte ptr [DelShortcuts+edi],0
		
				;New directories to create and also to remove on uninstall to RMCRDirs buffer
				;First check how many \. If more than two create and remove directories
				;RMCRDirs struct: x,0,"Directory",0,"Directory",0,.........,0,0
				;pRMCRDirs: pointer to ^,            ^,.......,0,0
				mov number,0
				xor ecx,ecx
			@start:	
				lea edi,dword ptr [pDelShortcuts+ecx*4]
				.if dword ptr [edi]!=0 ;as long as the pointer is nonzero
					push ecx
					invoke lstrcpy,addr buffer,dword ptr [edi]
					invoke lstrlen,addr buffer
					;count number of \
					mov ecx,eax
					mov al,'\'
					lea edi,buffer
					xor edx,edx
				@@:
					repnz scasb
					jne @F				
					inc edx
					jmp @B
				@@:	
					;more than two \
					cmp edx,2
					jl @F
					
					;yes more than two \
					lea edi,buffer
					invoke lstrlen,addr buffer
					;Start from back to remove the link name
					add edi,eax
				@back:	
					dec edi
					cmp byte ptr [edi],'\'
					jne @back
					;\ found. Exchange \ with 0
					mov byte ptr [edi],0
					;Find end of RMCRDirs
					lea edi,RMCRDirs
					invoke lstrlen,edi
					add edi,eax
					;Copy at end of RMCRDirs
					invoke lstrcpy,edi,addr buffer
					mov ecx,number
					mov dword ptr [pRMCRDirs+ecx*4],edi ;add pointer to RMCRDirs
					inc number
				@@:
					pop ecx
					inc ecx
					jmp @start
				.endif
				
				;check RMCRDirs for duplicates
				;How many pointers?
				xor ecx,ecx
				.while dword ptr [pRMCRDirs+ecx*4]!=0
					inc ecx
				.endw
				.if ecx>1
					.while ecx!=-1
						push ecx
						mov edi,ecx
						mov esi,ecx
						sub esi,1
						.while esi!=-1
							invoke lstrcmp,dword ptr [pRMCRDirs+edi*4],dword ptr [pRMCRDirs+esi*4]
							.if eax==0
								mov dword ptr [pRMCRDirs+edi*4],0
								jmp @F
							.endif
							dec esi
						.endw
					@@:	
						pop ecx
						dec ecx
					.endw
				.endif
				
				invoke GetDlgItemText,hPsDlg[24],IDC_wiz7EDT2,addr buffer,sizeof buffer
				invoke lstrcpy,addr StartmenuFolder,addr buffer
				
			.elseif [edx].code==PSN_QUERYCANCEL
				invoke MessageBox,hWin,addr szMessage4,addr szMessageTitle,MB_ICONWARNING or MB_YESNO
				.if eax==IDYES
					invoke SetWindowLong,hWin,DWL_MSGRESULT,0
				.else
					invoke SetWindowLong,hWin,DWL_MSGRESULT,1
				.endif
			
			.elseif [edx].code==PSN_RESET
				mov Check,0
				
			.elseif [edx].code==PSN_KILLACTIVE
			    invoke IsWindowVisible,hCbo7
			    .if eax==TRUE 
			    	invoke GetWindowText,hEdt7,addr buffer,sizeof buffer
			    	invoke putTextMatrix,hLsv7,addr buffer
			    	invoke ShowWindow,hCbo7,SW_HIDE
			    .endif
				invoke SetWindowLong,hWin,DWL_MSGRESULT,0
				
			.endif
		.endif
		assume edx:nothing
		
	.elseif eax==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz7BTN1 && eax==BN_CLICKED
			invoke MessageBox,hPsDlg[20],addr szHelpText,addr szHelp,MB_ICONINFORMATION or MB_OK
			
		.elseif edx==IDC_wiz7EDT2 &&  eax==EN_CHANGE ;Change of startmenu folder => changes in listview
			invoke GetDlgItemText,hPsDlg[24],IDC_wiz7EDT2,addr buffer2,sizeof buffer2
			invoke SendMessage,hLsv7,LVM_GETITEMCOUNT,0,0
			.while eax>0
				push eax
				push Row
				push Col
				dec eax
				mov Row,eax
				mov Col,0
				invoke getTextMatrix,hLsv7,addr buffer
				cmp dword ptr [buffer],"PMS$"
				jne lbl_out
				invoke lstrlen,addr buffer
				mov ecx,eax
				mov al,"\"
				lea edi,buffer
				xor edx,edx
			@@:
				repnz scasb
				jne @out
				inc edx
				mov byte ptr [edi-1],0
				cmp edx,2
				je @F
				jmp @B
			@out:
				lea edi,buffer
				invoke lstrlen,addr buffer
				add edi,eax
				inc edi
			@@:
				invoke lstrcpy,addr buffer3,edi
				invoke lstrcat,addr buffer,addr szBackslash
				invoke lstrlen,addr buffer2
				.if eax!=0
					invoke lstrcat,addr buffer,addr buffer2
					invoke lstrcat,addr buffer,addr szBackslash
				.endif
				invoke lstrcat,addr buffer,addr buffer3
				invoke putTextMatrix,hLsv7,addr buffer
			lbl_out:
				pop Col
				pop Row
				pop eax
				dec eax
			.endw
		.endif
	.else
		mov eax,FALSE
		jmp return
		
	.endif
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

lbl_SetZero:
	invoke SendMessage,hCbo7,CB_GETCOUNT,0,0
	.if eax!=0
		mov ecx,eax
		dec ecx
		.while ecx!=-1
			invoke SendMessage,hCbo7,CB_DELETESTRING,ecx,0
			mov ecx,eax
			dec ecx
		.endw
	.endif
	retn

WizDlg7Proc endp

LV7Proc proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
	
	_try offset ED_21
; ======================================================================================================================

	invoke IsWindowVisible,hCbo7
	.if eax==TRUE && (uMsg==WM_HSCROLL || uMsg==WM_VSCROLL)
    	invoke MoveCB,hWin,hCbo7,hEdt7
    	xor eax,eax
	.elseif (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F1
    	invoke GetWindowText,hEdt7,addr buffer,sizeof buffer
    	invoke putTextMatrix,hWin,addr buffer
    	invoke ShowWindow,hCbo7,SW_HIDE
    	xor eax,eax
    	jmp return
    .elseif (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F2
    	invoke ShowWindow,hCbo7,SW_HIDE
    	xor eax,eax
    	jmp return
	.elseif uMsg==WM_COMMAND
		mov eax,wParam
		movzx edx,ax
		shr eax, 16
		.if edx==IDC_wiz7CBO1 && (eax==CBN_EDITCHANGE || eax==CBN_SELCHANGE)
        	invoke SendMessage,lParam,CB_GETCURSEL,0,0
        	mov edx,eax
        	invoke SendMessage,lParam,CB_GETLBTEXT,edx,addr buffer
			invoke SendMessage,hEdt7,WM_SETTEXT,0,addr buffer
			invoke ShowWindow,hCbo7,SW_HIDE
			invoke putTextMatrix,hWin,addr buffer
		.elseif edx==IDC_wiz7CBO1 && (eax==CBN_EDITCHANGE || eax==CBN_SELCHANGE)
        	invoke SendMessage,lParam,CB_GETCURSEL,0,0
        	mov edx,eax
        	invoke SendMessage,lParam,CB_GETLBTEXT,edx,addr buffer
			invoke lstrcat,addr buffer,addr AppName
			invoke lstrcat,addr buffer,addr szInk
			invoke SendMessage,hEdt7,WM_SETTEXT,0,addr buffer
			invoke ShowWindow,hCbo7,SW_HIDE
			invoke putTextMatrix,hWin,addr buffer
			dec Row
			inc Col
			invoke getTextMatrix,hWin,addr buffer
			inc Row
			invoke putTextMatrix,hWin,addr buffer
		.endif
	.endif
	
	invoke CallWindowProc,OldLV7Proc,hWin,uMsg,wParam,lParam

; ======================================================================================================================
return:
	_finally
	ret

LV7Proc endp

Edt7Proc proc proc hWin:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
	LOCAL buffer[256]:byte
		
	_try offset ED_22
; ======================================================================================================================

	.if (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F1
    	invoke GetWindowText,hWin,addr buffer,sizeof buffer
    	invoke putTextMatrix,hLsv7,addr buffer
    	invoke ShowWindow,hCbo7,SW_HIDE
    	xor eax,eax
    	jmp return
    .elseif (uMsg==WM_KEYUP || uMsg==WM_KEYDOWN) && wParam==VK_F2
    	invoke ShowWindow,hCbo7,SW_HIDE
    	xor eax,eax
    	jmp return
	.endif
	
	invoke CallWindowProc,OldEdt7Proc,hWin,uMsg,wParam,lParam

; ======================================================================================================================
return:
	_finally
	ret

Edt7Proc endp

Insert7Column proc hLV:HWND,pSMFolder:dword
	LOCAL lvc:LVCOLUMN
	LOCAL lvi:LVITEM
	LOCAL buffer[128]:byte
	
	_try offset ED_23
; ======================================================================================================================

	mov lvc.imask,LVCF_TEXT+LVCF_WIDTH
	mov lvc.pszText,offset szHeading4
	mov lvc.lx,250
	invoke SendMessage,hLV,LVM_INSERTCOLUMN,0,addr lvc
	mov lvc.lx,100
	mov lvc.pszText,offset szHeading5
	invoke SendMessage,hLV,LVM_INSERTCOLUMN,1,addr lvc

	;Insert first item (shortcut on StartMenu/Programs)
	invoke lstrcpy,addr buffer,addr szSMPROGRAMS
	invoke lstrcat,addr buffer,addr AppName
	invoke lstrcat,addr buffer,addr szBackslash
	invoke lstrcat,addr buffer,addr AppName
	invoke lstrcat,addr buffer,addr szInk
	mov lvi.imask,LVIF_TEXT
	mov lvi.iItem,0
	mov lvi.iSubItem, 0
	lea eax,buffer
	mov lvi.pszText,eax
	invoke SendMessage,hLV,LVM_INSERTITEM,0,addr lvi
	mov lvi.iSubItem,1
	invoke lstrcpy,addr buffer,addr szINSTDIR
	mov edi,offset [AppFiles+2]
	invoke lstrlen,edi
	add edi,eax
@@:
	cmp byte ptr [edi],"\"
	je @F
	dec edi
	jmp @B
@@:
	inc edi
	invoke lstrcat,addr buffer,edi
	lea eax,buffer
	mov lvi.pszText,eax
	invoke SendMessage,hLV,LVM_SETITEM,0,addr lvi

	;Insert third item (shortcut on Desktop)
	invoke lstrcpy,addr buffer,addr szDESKTOP
	invoke lstrcat,addr buffer,addr AppName
	invoke lstrcat,addr buffer,addr szInk
	mov lvi.imask,LVIF_TEXT
	mov lvi.iItem,1
	mov lvi.iSubItem, 0
	lea eax,buffer
	mov lvi.pszText,eax
	invoke SendMessage,hLV,LVM_INSERTITEM,0,addr lvi
	mov lvi.iSubItem,1
	invoke lstrcpy,addr buffer,addr szINSTDIR
	mov edi,offset [AppFiles+2]
	invoke lstrlen,edi
	add edi,eax
@@:
	cmp byte ptr [edi],"\"
	je @F
	dec edi
	jmp @B
@@:
	inc edi
	invoke lstrcat,addr buffer,edi
	lea eax,buffer
	mov lvi.pszText,eax
	invoke SendMessage,hLV,LVM_SETITEM,0,addr lvi
	
; ======================================================================================================================
return:
	_finally
	ret	
	
Insert7Column endp

