ShowWizard proc
	LOCAL PS[8]:PROPSHEETPAGE
	LOCAL PH:PROPSHEETHEADER
	
	_try offset ED_25
; ======================================================================================================================

	;Property sheet 1
	mov PS.dwSize,sizeof PROPSHEETPAGE
	mov PS.dwFlags,PSP_DEFAULT
	push hInstance
	pop PS.hInstance
	mov PS.pszTemplate,IDD_WIZ1
	mov PS.pfnDlgProc,offset WizDlg1Proc

	;Property sheet 2
	mov PS[(sizeof PROPSHEETPAGE)].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)].hInstance
	mov PS[(sizeof PROPSHEETPAGE)].pszTemplate,IDD_WIZ2
	mov PS[(sizeof PROPSHEETPAGE)].pfnDlgProc,offset WizDlg2Proc

	;Property sheet 3
	mov PS[(sizeof PROPSHEETPAGE)*2].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*2].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*2].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*2].pszTemplate,IDD_WIZ3
	mov PS[(sizeof PROPSHEETPAGE)*2].pfnDlgProc,offset WizDlg3Proc

	;Property sheet 4
	mov PS[(sizeof PROPSHEETPAGE)*3].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*3].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*3].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*3].pszTemplate,IDD_WIZ4
	mov PS[(sizeof PROPSHEETPAGE)*3].pfnDlgProc,offset WizDlg4Proc

	;Property sheet 5
	mov PS[(sizeof PROPSHEETPAGE)*4].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*4].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*4].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*4].pszTemplate,IDD_WIZ5
	mov PS[(sizeof PROPSHEETPAGE)*4].pfnDlgProc,offset WizDlg5Proc

	;Property sheet 6
	mov PS[(sizeof PROPSHEETPAGE)*5].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*5].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*5].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*5].pszTemplate,IDD_WIZ6
	mov PS[(sizeof PROPSHEETPAGE)*5].pfnDlgProc,offset WizDlg6Proc

	;Property sheet 7
	mov PS[(sizeof PROPSHEETPAGE)*6].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*6].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*6].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*6].pszTemplate,IDD_WIZ7
	mov PS[(sizeof PROPSHEETPAGE)*6].pfnDlgProc,offset WizDlg7Proc

	;Property sheet 8
	mov PS[(sizeof PROPSHEETPAGE)*7].dwSize,sizeof PROPSHEETPAGE
	mov PS[(sizeof PROPSHEETPAGE)*7].dwFlags,PSP_DEFAULT
	push hInstance
	pop PS[(sizeof PROPSHEETPAGE)*7].hInstance
	mov PS[(sizeof PROPSHEETPAGE)*7].pszTemplate,IDD_WIZ8
	mov PS[(sizeof PROPSHEETPAGE)*7].pfnDlgProc,offset WizDlg8Proc

	invoke CreatePropertySheetPage,addr PS
	mov hPs[0],eax
	invoke CreatePropertySheetPage,addr PS[sizeof PROPSHEETPAGE]
	mov hPs[4],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*2]
	mov hPs[8],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*3]
	mov hPs[12],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*4]
	mov hPs[16],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*5]
	mov hPs[20],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*6]
	mov hPs[24],eax
	invoke CreatePropertySheetPage,addr PS[(sizeof PROPSHEETPAGE)*7]
	mov hPs[28],eax
	
	;Property sheet header
	mov PH.dwSize,sizeof PROPSHEETHEADER
	mov PH.dwFlags,PSH_WIZARD
	push hInstance
	pop PH.hInstance
	mov PH.nPages,8
	mov PH.nStartPage,0
	mov PH.phpage,offset hPs

	invoke PropertySheet,addr PH

; ======================================================================================================================
return:
	_finally
	ret

ShowWizard endp

putTextMatrix proc hLV:HWND,pText:dword
	LOCAL lvi:LV_ITEM
	
	_try offset ED_26
; ======================================================================================================================

	push Row
	pop lvi.iItem
	push Col
	pop lvi.iSubItem
	mov lvi.imask, LVIF_TEXT
	push pText
	pop lvi.pszText
	mov lvi.cchTextMax,256
	invoke SendMessage,hLV,LVM_SETITEM,0,addr lvi
	
; ======================================================================================================================
return:
	_finally
    ret
    
putTextMatrix endp

getTextMatrix proc hLV:HWND,pText:dword
	LOCAL lvi:LV_ITEM
	
	_try offset ED_27
; ======================================================================================================================

	push Row
	pop lvi.iItem
	push Col
	pop lvi.iSubItem
	mov lvi.imask, LVIF_TEXT
	push pText
	pop lvi.pszText
	mov lvi.cchTextMax,256
	invoke SendMessage,hLV,LVM_GETITEM,0,addr lvi
	invoke lstrlen,pText
	
; ======================================================================================================================
return:
	_finally
    ret
    
getTextMatrix endp

AddListViewItem proc hLV:HWND,pValue:dword
	LOCAL lvi:LV_ITEM

	_try offset ED_28
; ======================================================================================================================

	mov lvi.imask,LVIF_TEXT
    invoke SendMessage,hLV,LVM_GETITEMCOUNT,0,0
    inc eax
    mov lvi.iItem,eax
    mov lvi.iSubItem,0

    mov eax,pValue
    mov lvi.pszText,eax
    invoke SendMessage,hLV,LVM_INSERTITEM,0,addr lvi
	
	mov eax,TRUE

; ======================================================================================================================
return:
	_finally
	ret

AddListViewItem endp

MoveCB proc hLV:HWND,hCB:HWND,hEDT:HWND
	LOCAL ItemRect:RECT
	LOCAL x:dword
	LOCAL y:dword
	LOCAL w:dword
	LOCAL h:dword
	
	_try offset ED_29
; ======================================================================================================================

	mov ItemRect.left,LVIR_BOUNDS
	push Col
	pop ItemRect.top
	invoke SendMessage,hLV,LVM_GETSUBITEMRECT,Row,addr ItemRect
	mov eax,ItemRect.left
	inc eax
	mov x,eax
	mov eax,ItemRect.top
	mov y,eax
	invoke SendMessage,hLV,LVM_GETCOLUMNWIDTH,Col,0
	sub eax,1
	mov w,eax
	mov eax,ItemRect.bottom
	sub eax,ItemRect.top
	dec eax
	mov h,eax
	invoke ShowWindow,hCB,SW_SHOW ;NOACTIVATE
	invoke MoveWindow,hCB,x,y,w,h,TRUE
	sub w,20
	invoke MoveWindow,hEDT,2,3,w,16,TRUE
	
; ======================================================================================================================
return:
	_finally
	ret

MoveCB endp


